﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["data"] == null)
        {
            Session["data"] = getTable();
        }

        this.WebDataGrid1.DataSource = Session["data"];
    }

    private DataTable getTable()
    {
        DataTable table = new DataTable();

        table.Columns.Add("col1", typeof(Int32));
        table.Columns.Add("col2", typeof(string));
        table.Columns.Add("col3", typeof(double));

        for (int i = 0; i < 5; i++)
        {
            table.Rows.Add(new object[] { i, "test" + i, i*10 });
        }

        table.PrimaryKey = new DataColumn[] { table.Columns["col1"] };

        return table;
    }
}